package com.huimv.cattle.controller;


import com.huimv.cattle.service.FarmKindCountService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/v1.0.0/farmKindCount")
public class FarmKindCountController {
    @Autowired
    private FarmKindCountService farmKindCountService;

    @PostMapping("/getFarmKindCount")
    public Result getFarmKindCount(){
        return farmKindCountService.getFarmKindCount();
    }

    @PostMapping("/saveFarmKindCount")
    public Result saveFarmKindCount(@RequestBody Map<String,String> paramsMap){
        return farmKindCountService.saveFarmKindCount(paramsMap);
    }

}

