package com.huimv.cattle.controller;

import com.huimv.cattle.pojo.OnlineService;
import com.huimv.cattle.service.OnlineServiceService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/v1.0.0/onlineService")
public class OnlineServiceController {
    @Autowired
    private OnlineServiceService onlineServiceService;

    @PostMapping("/getOnlineService")
    public Result getOnlineService(){
        return onlineServiceService.getOnlineService();
    }

    @PostMapping("/saveOnlineService")
    public Result saveOnlineService(@RequestBody OnlineService onlineService){
        return onlineServiceService.saveOnlineService(onlineService);
    }
}

