package com.huimv.cattle.controller;


import com.huimv.cattle.service.ProductionCapacityService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/v1.0.0/productionCapacity")
public class ProductionCapacityController {
    @Autowired
    private ProductionCapacityService productionCapacityService;

    @PostMapping("/getProductionCapacity")
    public Result getProductionCapacity(@RequestBody Map<String, String> paramsMap){
        return productionCapacityService.getProductionCapacity(paramsMap);
    }

    @PostMapping("/saveProductionCapacity")
    public Result saveProductionCapacity(@RequestBody Map<String, String> paramsMap){
        return productionCapacityService.saveProductionCapacity(paramsMap);
    }

}

