package com.huimv.cattle.controller;


import com.huimv.cattle.pojo.IndustryOutput;
import com.huimv.cattle.service.IndustryOutputService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/v1.0.0/industryOutput")
public class IndustryOutputController {
    @Autowired
    private IndustryOutputService industryOutputService;

    @PostMapping("/getIndustryOutput")
    public Result getIndustryOutput(@RequestBody Map<String,String> paramsMap){
        return industryOutputService.getIndustryOutput(paramsMap);
    }

    @PostMapping("/saveIndustryOutput")
    public Result saveIndustryOutput(@RequestBody Map<String,String> paramsMap){
        return industryOutputService.saveIndustryOutput(paramsMap);
    }

}

