package com.huimv.cattle.controller;


import com.huimv.cattle.service.SubsidyCountService;
import com.huimv.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@RestController
@RequestMapping("/v1.0.0/subsidyCount")
public class SubsidyCountController {
    @Autowired
    private SubsidyCountService subsidyCountService;

    @PostMapping("/getSubsidyCount")
    public Result getSubsidyCount(@RequestBody Map<String, String> paramsMap){
        return subsidyCountService.getSubsidyCount(paramsMap);
    }

    @PostMapping("/saveSubsidyCount")
    public Result saveSubsidyCount(@RequestBody Map<String, String> paramsMap){
        return subsidyCountService.saveSubsidyCount(paramsMap);
    }
}

